<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui">
    <h:head>
        <title>Antecedentes de riesgo</title>
    </h:head>
    <h:body>
        <p:growl id="msj"/>
        <p:fieldset legend="Registrar un antecedente de riesgo">
            <h:form id="form">
                <h:panelGrid columns="2">
                <p:outputLabel value="Antecedente de riesgo"/>
                <p:inputText value="#{ante_riesgoController.ante_riesgo.antecedente_r}"/>
                <p:commandButton value="Registrar" rendered="#{ante_riesgoController.ante_riesgo.antecedente_r==null}" actionListener="#{ante_riesgoController.insertar()}" update="form :tabla :msj"/>
                <p:commandButton value="Actualizar" rendered="#{ante_riesgoController.ante_riesgo.antecedente_r!=null}" actionListener="#{ante_riesgoController.editar()}" update="form :tabla :msj"/>                
                </h:panelGrid>
            </h:form>
        </p:fieldset>
        <br></br>
        <p:fieldset legend="Antecedentes de riesgo registrados">
            <h:form id="tabla">
                <p:dataTable value="#{ante_riesgoController.ante_riesgoList}" var="anter">
                    <p:column headerText="Id">
                        <p:outputLabel value="#{anter.id}"/>
                    </p:column>
                    <p:column headerText="Antedente de riesgo">
                        <p:outputLabel value="#{anter.antecedente_r}"/>
                    </p:column>
                    <p:column headerText="Acciones">
                        <p:commandButton value="Editar" actionListener="#{ante_riesgoController.consultarById(anter)}" update=":form"/>
                        <p:commandButton value="Eliminar" actionListener="#{ante_riesgoController.eliminar(anter)}" update=":tabla :msj"/>
                    </p:column>
                </p:dataTable>
            </h:form>
        </p:fieldset>
    </h:body>
</html>

